<?php

namespace App\Policies;

use Illuminate\Auth\Access\Response;
use App\Models\MotorTestingMaster;
use App\Models\User;

class MotorTestingMasterPolicy
{
    /**
     * Determine whether the user can view any models.
     */
    public function viewAny(User $user): bool
    {
        return $user->checkPermissionTo('view-any MotorTestingMaster');
    }

    /**
     * Determine whether the user can view the model.
     */
    public function view(User $user, MotorTestingMaster $motortestingmaster): bool
    {
        return $user->checkPermissionTo('view MotorTestingMaster');
    }

    /**
     * Determine whether the user can create models.
     */
    public function create(User $user): bool
    {
        return $user->checkPermissionTo('create MotorTestingMaster');
    }

    /**
     * Determine whether the user can update the model.
     */
    public function update(User $user, MotorTestingMaster $motortestingmaster): bool
    {
        return $user->checkPermissionTo('update MotorTestingMaster');
    }

    /**
     * Determine whether the user can delete the model.
     */
    public function delete(User $user, MotorTestingMaster $motortestingmaster): bool
    {
        return $user->checkPermissionTo('delete MotorTestingMaster');
    }

    /**
     * Determine whether the user can delete any models.
     */
    public function deleteAny(User $user): bool
    {
        return $user->checkPermissionTo('delete-any MotorTestingMaster');
    }

    /**
     * Determine whether the user can restore the model.
     */
    public function restore(User $user, MotorTestingMaster $motortestingmaster): bool
    {
        return $user->checkPermissionTo('restore MotorTestingMaster');
    }

    /**
     * Determine whether the user can restore any models.
     */
    public function restoreAny(User $user): bool
    {
        return $user->checkPermissionTo('restore-any MotorTestingMaster');
    }

    /**
     * Determine whether the user can replicate the model.
     */
    public function replicate(User $user, MotorTestingMaster $motortestingmaster): bool
    {
        return $user->checkPermissionTo('replicate MotorTestingMaster');
    }

    /**
     * Determine whether the user can reorder the models.
     */
    public function reorder(User $user): bool
    {
        return $user->checkPermissionTo('reorder MotorTestingMaster');
    }

    /**
     * Determine whether the user can permanently delete the model.
     */
    public function forceDelete(User $user, MotorTestingMaster $motortestingmaster): bool
    {
        return $user->checkPermissionTo('force-delete MotorTestingMaster');
    }

    /**
     * Determine whether the user can permanently delete any models.
     */
    public function forceDeleteAny(User $user): bool
    {
        return $user->checkPermissionTo('force-delete-any MotorTestingMaster');
    }
}
